use std::fs;
use std::path::Path;

fn main() {
    let url = "https://unpkg.com/htmx.org@2.0.4/dist/htmx.min.js";
    let dest_path = Path::new("src/htmx.min.js");

    println!("Downloading htmx.min.js from {url}");
    let response = reqwest::blocking::get(url)
        .expect("Failed to send HTTP request")
        .error_for_status()
        .expect("Received error response from server");

    let content = response.bytes().expect("Failed to read response body");

    fs::write(dest_path, &content).expect("Failed to write htmx.min.js to destination");

    println!("cargo:rerun-if-changed=build.rs");
}
